public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: add a new boothd test
@ 2026-09-11 13:21 Milos Malik
0 siblings, 0 replies; only message in thread
From: Milos Malik @ 2026-09-11 13:21 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 0b5f4b8236eb4d21e2ceeb8ff2f03dee699b26ec
Author : Milos Malik <mmalik@redhat.com>
Date : 2024-08-30T11:31:09+00:00
Stats : +208/-0 in 4 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/0b5f4b8236eb4d21e2ceeb8ff2f03dee699b26ec?branch=pr775-checkpolicy-revdeps
Log:
add a new boothd test
Recently, the boothd program got confined by SELinux. Purpose of
this automated test is to find out if basic scenarios work as
expected under the current SELinux policy.
The TC covers RHEL-45907.
---
diff --git a/selinux-policy/boothd-and-similar/Makefile b/selinux-policy/boothd-and-similar/Makefile
new file mode 100644
index 0000000..7fd82bb
--- /dev/null
+++ b/selinux-policy/boothd-and-similar/Makefile
@@ -0,0 +1,69 @@
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Makefile of /CoreOS/selinux-policy/Regression/boothd-and-similar
+# Description: SELinux interferes with boothd and related programs
+# Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2024 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+export TEST=/CoreOS/selinux-policy/Regression/boothd-and-similar
+export TESTVERSION=1.0
+
+BUILT_FILES=
+
+FILES=$(METADATA) runtest.sh Makefile PURPOSE
+
+.PHONY: all install download clean
+
+run: $(FILES) build
+ ./runtest.sh
+
+build: $(BUILT_FILES)
+ chmod a+x runtest.sh
+ chcon -t bin_t runtest.sh
+
+clean:
+ rm -f *~ $(BUILT_FILES)
+
+include /usr/share/rhts/lib/rhts-make.include
+
+$(METADATA): Makefile
+ @echo "Owner: Milos Malik <mmalik@redhat.com>" > $(METADATA)
+ @echo "Name: $(TEST)" >> $(METADATA)
+ @echo "TestVersion: $(TESTVERSION)" >> $(METADATA)
+ @echo "Path: $(TEST_DIR)" >> $(METADATA)
+ @echo "Description: the service was running as initrc_t or init_t, now it is confined by SELinux" >> $(METADATA)
+ @echo "Type: Regression" >> $(METADATA)
+ @echo "TestTime: 10m" >> $(METADATA)
+ @echo "RunFor: selinux-policy" >> $(METADATA)
+ @echo "RunFor: booth" >> $(METADATA)
+ @echo "Requires: audit libselinux libselinux-utils policycoreutils selinux-policy selinux-policy-targeted setools-console booth-arbitrator booth-core /usr/sbin/service net-tools" >> $(METADATA)
+ @echo "RhtsRequires: library(selinux-policy/common)" >> $(METADATA)
+ @echo "Environment: AVC_ERROR=+no_avc_check" >> $(METADATA)
+ @echo "Priority: Normal" >> $(METADATA)
+ @echo "License: GPLv2" >> $(METADATA)
+ @echo "Confidential: no" >> $(METADATA)
+ @echo "Destructive: no" >> $(METADATA)
+ @echo "Releases: -RHEL4 -RHEL5 -RHEL6 -RHEL7" >> $(METADATA)
+ @echo "Bug: RHEL-45907" >> $(METADATA) # RHEL-10
+
+ rhts-lint $(METADATA)
+
diff --git a/selinux-policy/boothd-and-similar/PURPOSE b/selinux-policy/boothd-and-similar/PURPOSE
new file mode 100644
index 0000000..def5594
--- /dev/null
+++ b/selinux-policy/boothd-and-similar/PURPOSE
@@ -0,0 +1,6 @@
+PURPOSE of /CoreOS/selinux-policy/Regression/boothd-and-similar
+Author: Milos Malik <mmalik@redhat.com>
+
+SELinux interferes with boothd and related programs.
+Covers the booth-arbitrator service.
+
diff --git a/selinux-policy/boothd-and-similar/main.fmf b/selinux-policy/boothd-and-similar/main.fmf
new file mode 100644
index 0000000..6d1791b
--- /dev/null
+++ b/selinux-policy/boothd-and-similar/main.fmf
@@ -0,0 +1,40 @@
+summary: SELinux interferes with boothd and related programs
+description: |+
+ SELinux interferes with boothd and related programs.
+
+contact: Milos Malik <mmalik@redhat.com>
+component:
+ - selinux-policy
+require:
+ - library(selinux-policy/common)
+recommend:
+ - audit
+ - libselinux
+ - libselinux-utils
+ - policycoreutils
+ - selinux-policy
+ - selinux-policy-targeted
+ - setools-console
+ - booth-arbitrator
+ - booth-core
+ - /usr/sbin/service
+ - net-tools
+environment:
+ AVC_ERROR: +no_avc_check
+duration: 10m
+enabled: true
+tag:
+ - NoRHEL4
+ - NoRHEL5
+ - NoRHEL6
+ - NoRHEL7
+ - targeted
+ - NoRHIVOS
+link:
+ - verifies: https://issues.redhat.com/browse/RHEL-45907
+adjust:
+ - enabled: false
+ when: distro == rhel-4, rhel-5, rhel-6, rhel-7
+ because: the booth package is not available there
+extra-summary: /CoreOS/selinux-policy/Regression/boothd-and-similar
+extra-task: /CoreOS/selinux-policy/Regression/boothd-and-similar
diff --git a/selinux-policy/boothd-and-similar/runtest.sh b/selinux-policy/boothd-and-similar/runtest.sh
new file mode 100755
index 0000000..2845bf1
--- /dev/null
+++ b/selinux-policy/boothd-and-similar/runtest.sh
@@ -0,0 +1,93 @@
+#!/bin/bash
+# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# runtest.sh of /CoreOS/selinux-policy/Regression/boothd-and-similar
+# Description: SELinux interferes with boothd and related programs
+# Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2024 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+PACKAGE="selinux-policy"
+FILE_PATH="/usr/sbin/boothd"
+SERVICE_PACKAGE="booth-arbitrator"
+SERVICE_NAME="booth-arbitrator"
+PROCESS_NAME="boothd"
+if seinfo -t | grep -q boothd ; then
+ FILE_CONTEXT="boothd_exec_t"
+ PROCESS_CONTEXT="boothd_t"
+else
+ FILE_CONTEXT="bin_t"
+ PROCESS_CONTEXT="unconfined_service_t"
+fi
+
+rlJournalStart
+ rlPhaseStartSetup
+ rlRun "rlImport 'selinux-policy/common'" 0,1
+ rlSESatisfyRequires
+ rlAssertRpm ${PACKAGE}
+ rlAssertRpm ${PACKAGE}-targeted
+ rlAssertRpm ${SERVICE_PACKAGE}
+
+ rlServiceStop ${SERVICE_NAME}
+ rlFileBackup /etc/booth/booth.conf
+
+ rlSESetEnforce
+ rlSEStatus
+ rlSESetTimestamp
+ sleep 2
+ rlPhaseEnd
+
+ if seinfo -t | grep -q boothd ; then
+ rlPhaseStartTest "RHEL-45907"
+ rlSEMatchPathCon "${FILE_PATH}" "${FILE_CONTEXT}"
+ rlSEMatchPathCon "/run/systemd/userdb" "systemd_userdbd_runtime_t"
+ rlSESearchRule "allow boothd_t systemd_userdbd_runtime_t : dir { read } [ ]"
+ rlSESearchRule "allow boothd_t systemd_userdbd_runtime_t : sock_file { write } [ ]"
+ rlSESearchRule "allow boothd_t systemd_userdbd_t : unix_stream_socket { connectto } [ ]"
+ rlPhaseEnd
+ fi
+
+ if [ -f /usr/lib/systemd/system/${SERVICE_NAME}.service ] ; then
+ rlPhaseStartTest "real scenario -- standalone service"
+ IF_NAME=`route | grep default | awk '{ print $8 }'`
+ IP_ADDRESS=`ip addr show ${IF_NAME} | grep 'inet ' | cut -d / -f 1 | awk '{ print $2 }' | head -n 1`
+ rlRun "cp -f /usr/share/doc/booth/booth.conf.example /etc/booth/booth.conf"
+ rlRun "sed -i 's/^arbitrator=.*$/arbitrator=\"${IP_ADDRESS}\"/' /etc/booth/booth.conf"
+ rlRun "grep ^arbitrator /etc/booth/booth.conf"
+ rlSEService - ${SERVICE_NAME} - ${PROCESS_CONTEXT} "start status" 1
+ rlRun "restorecon -Rv /etc /var /run -e /var/ARTIFACTS" 0-255
+ rlSEService - ${SERVICE_NAME} - ${PROCESS_CONTEXT} "restart status stop status" 1
+ rlPhaseEnd
+ fi
+
+ rlPhaseStartCleanup
+ sleep 2
+ rlSECheckAVC
+ rlFileRestore
+ rlServiceRestore ${SERVICE_NAME}
+ rlPhaseEnd
+rlJournalPrintText
+rlJournalEnd
+
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-11 13:21 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:21 [tests/selinux] pr775-checkpolicy-revdeps: add a new boothd test Milos Malik
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox